MarinerWrtTextInternal::Table::Cell Struct Reference

a table cell of a MarinerWrtText More...

## Public Member Functions

| Cell ()
bool | ok () const

## Public Attributes

MWAWEntry | m_entry
| the cell entry
int | m_rulerId
| a list of cell ruler id
int | m_width
| the column width

## Detailed Description

a table cell of a MarinerWrtText

## Constructor & Destructor Documentation

## Cell()

MarinerWrtTextInternal::Table::Cell::Cell | ( |  | ) |

inline

## Member Function Documentation

## ok()

bool MarinerWrtTextInternal::Table::Cell::ok | ( |  | ) | const

inline

Referenced by MarinerWrtText::findTableStructure().

## Member Data Documentation

## m_entry

MWAWEntry MarinerWrtTextInternal::Table::Cell::m_entry

the cell entry

Referenced by Cell(), MarinerWrtText::findTableStructure(), and ok().

## m_rulerId

int MarinerWrtTextInternal::Table::Cell::m_rulerId

a list of cell ruler id

Referenced by Cell(), MarinerWrtText::findTableStructure(), and ok().

## m_width

int MarinerWrtTextInternal::Table::Cell::m_width

the column width

Referenced by Cell(), MarinerWrtText::findTableStructure(), and ok().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx